clear all
close all
clc
num = xlsread('Dry_WithSpacer_Excluding5Datapoints.xlsx');
plot(num(1:9,9),num(1:9,15),'ks','MarkerSize',7);
% Fit line to data using polyfit
P = polyfit(num(1:9,9),num(1:9,15),1);
    yfit = P(1)*num(1:9,9)+P(2);
% Display evaluated equation y = m*x + b
disp(['Equation is y = ' num2str(P(1)) '*t + ' num2str(P(2))]);
hold on;
plot(num(1:9,9),yfit,'--k','LineWidth',2);
plot(num(1:5,17),num(1:5,23),'rs','MarkerSize',7);
plot(num(1:5,17),num(1:5,25),'--r','LineWidth',2);
%plot(num(:,15),num(:,19),'ks','MarkerFaceColor','k','MarkerSize',7);
%plot(num(:,21),num(:,25),'rs','MarkerFaceColor','r','MarkerSize',7);
%plot(num(:,21),num(:,27),'-r','LineWidth',2);
xlabel('Time [day]');
ylabel('Ln (TMP increase/P0)');
legend('Dry (Exponential)','Dry (Exponential)-Linear fit','Dry (Stationary)','Dry (Stationary)-Averaged line','Location','NorthWest');

matlab2tikz('Ln_TMPincreaseOverP0_Dry_WithSpacer.tikz', 'height', '\figureheight', 'width', '\figurewidth');