clear all
close all
clc
num = xlsread('SLIM_WithSpacer_Excluding4OffData.xlsx');
plot(num(1:7,9),num(1:7,15),'ks','MarkerFaceColor','k','MarkerSize',7);
% Fit line to data using polyfit
P = polyfit(num(1:7,9),num(1:7,15),1);
    yfit = P(1)*num(1:7,9)+P(2);
% Display evaluated equation y = m*x + b
disp(['Equation is y = ' num2str(P(1)) '*t + ' num2str(P(2))]);
hold on;
plot(num(1:7,9),yfit,'-k','LineWidth',2);
plot(num(1:6,17),num(1:6,23),'rs','MarkerFaceColor','r','MarkerSize',7);
plot(num(1:6,17),num(1:6,25),'-r','LineWidth',2);
%plot(num(:,15),num(:,19),'ks','MarkerFaceColor','k','MarkerSize',7);
%plot(num(:,21),num(:,25),'rs','MarkerFaceColor','r','MarkerSize',7);
%plot(num(:,21),num(:,27),'-r','LineWidth',2);
xlabel('Time [day]');
ylabel('Ln (TMP increase/P0)');
legend('SLIM (Exponential)','SLIM (Exponential)-Linear fit','SLIM (Stationary)','SLIM (Stationary)-Averaged line','Location','NorthWest');

matlab2tikz('Ln_TMPincreaseOverP0_SLIM_WithSpacer.tikz', 'height', '\figureheight', 'width', '\figurewidth');