clear all
close all
clc
num = xlsread('SLIM_WithoutSpacer_FittingData_New_1.xlsx');
plot(num(1:9,17),num(1:9,22),'ko','MarkerFaceColor','k','MarkerSize',7);
% Fit line to data using polyfit
P = polyfit(num(1:9,17),num(1:9,22),1);
    yfit = P(1)*num(1:9,17)+P(2);
% Display evaluated equation y = m*x + b
disp(['Equation is y = ' num2str(P(1)) '*t + ' num2str(P(2))]);
hold on;
plot(num(1:9,17),yfit,'-k','LineWidth',2);
plot(num(1:5,8),num(1:5,13),'bo','MarkerFaceColor','b','MarkerSize',7);
plot(num(1:5,8),num(1:5,15),'-b','LineWidth',2);
plot(num(1:6,24),num(1:6,29),'ro','MarkerFaceColor','r','MarkerSize',7);
plot(num(1:6,24),num(1:6,31),'-r','LineWidth',2);
%plot(num(:,15),num(:,19),'ks','MarkerFaceColor','k','MarkerSize',7);
%plot(num(:,21),num(:,25),'rs','MarkerFaceColor','r','MarkerSize',7);
%plot(num(:,21),num(:,27),'-r','LineWidth',2);
xlabel('Time [day]');
ylabel('Ln (TMP increase/P0)');
legend('SLIM (Exponential)','SLIM (Exponential)-Linear fit','SLIM (Lag)','SLIM (Lag)-Averaged line','SLIM (Stationary)','SLIM (Stationary)-Averaged line','Location','NorthWest');

matlab2tikz('Ln_TMPincreaseOverP0_SLIM_WithoutSpacer.tikz', 'height', '\figureheight', 'width', '\figurewidth');